Subject: Fwd: New Version Notification for draft-nottingham-httpbis-alt-svc-03.txt

From: Mark Nottingham <[email-masked]>
Date: Tue, 11 Feb 2014 12:43:35 +1100

We discussed using Alternate Services for <https://github.com/http2/http2-spec/issues/349> in Zurich, and Patrick and I agreed to go away and revise the draft as a result.

There are still some background discussions happening about a few aspects of the draft (see TODO), but I wanted to get it in front of people ASAP.

The big changes in this version:

* Enumerated the use cases at the top
* Split up the proposals, so that the WG can mix-and-match as desired
* Disallow changing hosts from the Alt-Svc header field
* Introduce the ALTSVC frame as well as a setting and an error to aid in some use cases, as discussed in Zurich

What I'd like to figure out is what portion of this people are interested in moving forward on, and what adjustments might need to be made to those proposals. Thoughts?

Cheers,

Begin forwarded message:

> From: [email-masked]
> Subject: New Version Notification for draft-nottingham-httpbis-alt-svc-03.txt
> Date: 11 February 2014 12:17:55 pm AEDT
> To: "Mark Nottingham" <[email-masked]>, "Patrick McManus" <[email-masked]>, Patrick McManus <[email-masked]>, Mark Nottingham <[email-masked]>
> 
> 
> A new version of I-D, draft-nottingham-httpbis-alt-svc-03.txt
> has been successfully submitted by Mark Nottingham and posted to the
> IETF repository.
> 
> Name:		draft-nottingham-httpbis-alt-svc
> Revision:	03
> Title:		HTTP Alternate Services
> Document date:	2014-02-11
> Group:		Individual Submission
> Pages:		16
> URL:            http://www.ietf.org/internet-drafts/draft-nottingham-httpbis-alt-svc-03.txt
> Status:         https://datatracker.ietf.org/doc/draft-nottingham-httpbis-alt-svc/
> Htmlized:       http://tools.ietf.org/html/draft-nottingham-httpbis-alt-svc-03
> Diff:           http://www.ietf.org/rfcdiff?url2=draft-nottingham-httpbis-alt-svc-03
> 
> Abstract:
>   This document proposes a number of changes to HTTP, centered around
>   "alternate services", which allow an origin's resources to be
>   available at a separate network location, possibly accessed with a
>   different protocol configuration.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 

--
Mark Nottingham   http://www.mnot.net/